API ReferenceSecurity
Create API Auth Token
POST
/oauth/tokenReturns an API access token specific to the Management API. This token must then be used as an authorization header for all requests to protected endpoints (this is required for the majority of operations).
Request Body
application/json
Response Body
application/json
application/json
curl --request POST \ --url https://auth.manage.mattr.global/oauth/token/ \ --header 'Content-Type: application/json' \ --data '{"client_id": "KWdv9qo9Vnl9rrCRB7sfGKFTp4uO09im", "client_secret": "ztJe2GVpOb1_rUo9Vnl9rrCRB7sfGKFTp4uO0DOfLnA5FSz96wbrzgJMQ", "audience": "https://my-tenant.vii.mattr.global", "grant_type": "client_credentials" }' '/v1/environments':{
"access_token": "s2dgbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6s2dcaEROemRDf5gbRVEwTTVSVFE0TmtZME9UZzVNVEpDTlVJNFJqRTBPREExTmpZMk1qazFPQSJ9",
"expires_in": 86400,
"token_type": "Bearer"
}{
"error": "access_denied",
"error_description": "Unauthorized"
}How would you rate this page?